Debian Bug report logs - #417062
FTBFS with GCC 4.3: first argument of 'int main...' should be...

version graph

Package: id3lib3.8.3; Maintainer for id3lib3.8.3 is Stefan Ott <stefan@ott.net>;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sun, 1 Apr 2007 13:54:09 UTC

Severity: serious

Tags: lenny, patch, sid

Found in version 3.8.3-6

Fixed in version id3lib3.8.3/3.8.3-7.1

Done: Stephen Gran <sgran@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Robert Woodcock <rcw@debian.org>:
Bug#417062; Package id3lib3.8.3. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Robert Woodcock <rcw@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS with GCC 4.3: first argument of 'int main...' should be...
Date: Sun, 1 Apr 2007 14:46:33 +0100
Package: id3lib3.8.3
Version: 3.8.3-6
Usertags: ftbfs-gcc-4.3
Tags: patch

Your package fails to build with GCC 4.3.  Version 4.3 has not been
released yet but I'm building with a snapshot in order to find errors
and give people an advance warning.  A patch for this problem is
below.


> Automatic build of id3lib3.8.3_3.8.3-6 on coconut0 by sbuild/ia64 0.49
...
> if g++ -DHAVE_CONFIG_H -I. -I. -I.. -I../include    -g -O2 -Wall -Wno-unused -Wno-inline -Woverloaded-virtual -Wmissing-declarations  -MT demo_info.o -MD -MP -MF ".deps/demo_info.Tpo" \
> 	  -c -o demo_info.o `test -f 'demo_info.cpp' || echo './'`demo_info.cpp; \
> 	then mv -f ".deps/demo_info.Tpo" ".deps/demo_info.Po"; \
> 	else rm -f ".deps/demo_info.Tpo"; exit 1; \
> 	fi
> demo_info.cpp: In function 'void PrintUsage(const char*)':
> demo_info.cpp:38: warning: no previous declaration for 'void PrintUsage(const char*)'
> demo_info.cpp: In function 'void PrintVersion(const char*)':
> demo_info.cpp:49: warning: no previous declaration for 'void PrintVersion(const char*)'
> demo_info.cpp: In function 'void PrintInformation(const ID3_Tag&)':
> demo_info.cpp:56: warning: no previous declaration for 'void PrintInformation(const ID3_Tag&)'
> demo_info.cpp: At global scope:
> demo_info.cpp:312: error: first argument of 'int main(unsigned int, char* const*)' should be 'int'
> make[3]: *** [demo_info.o] Error 1
> make[3]: Leaving directory `/build/tbm/id3lib3.8.3-3.8.3/examples'

--- examples/demo_info.cpp~	2007-04-01 13:38:30.000000000 +0000
+++ examples/demo_info.cpp	2007-04-01 13:38:51.000000000 +0000
@@ -309,7 +309,7 @@
 
 #define DEBUG
 
-int main( unsigned int argc, char * const argv[])
+int main(int argc, char * const argv[])
 {
   ID3D_INIT_DOUT();
 
--- examples/demo_convert.cpp~	2007-04-01 13:39:02.000000000 +0000
+++ examples/demo_convert.cpp	2007-04-01 13:39:12.000000000 +0000
@@ -84,7 +84,7 @@
   }
 }
 
-int main( unsigned int argc, char * const argv[])
+int main(int argc, char * const argv[])
 {
   flags_t ulFlag = ID3TT_ALL;
   gengetopt_args_info args;
--- examples/demo_tag.cpp~	2007-04-01 13:39:21.000000000 +0000
+++ examples/demo_tag.cpp	2007-04-01 13:39:26.000000000 +0000
@@ -46,7 +46,7 @@
     os << "v2";
 }
 
-int main( unsigned int argc, char * const argv[])
+int main(int argc, char * const argv[])
 {
   int ulFlag = ID3TT_ID3;
   ID3D_INIT_DOUT();
--- examples/demo_copy.cpp~	2007-04-01 13:40:08.000000000 +0000
+++ examples/demo_copy.cpp	2007-04-01 13:40:13.000000000 +0000
@@ -81,7 +81,7 @@
   }
 }
 
-int main( unsigned int argc, char * const argv[])
+int main(int argc, char * const argv[])
 {
   int ulFlag = ID3TT_ID3;
   ID3D_INIT_DOUT();

-- 
Martin Michlmayr
http://www.cyrius.com/



Severity set to `important' from `normal' Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Tue, 29 May 2007 09:30:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Robert Woodcock <rcw@debian.org>:
Bug#417062; Package id3lib3.8.3. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Robert Woodcock <rcw@debian.org>. Full text and rfc822 format available.

Message #12 received at 417062@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 417062@bugs.debian.org
Subject: Re: Log for failed build of id3v2_0.1.11-3 (dist=unstable1)
Date: Fri, 7 Dec 2007 18:56:02 -0700
There are still more bugs though, as can be seen in the following
failure:

> Automatic build of id3v2_0.1.11-3 on em64t by sbuild/amd64 0.53
...
> make[1]: Entering directory `/build/tbm/id3v2-0.1.11'
> g++ -I/usr/include/ -DVERSION="\"0.1.11\""    -c -o convert.o convert.cpp
> In file included from /usr/include/id3/utils.h:37,
>                  from /usr/include/id3/tag.h:34,
>                  from convert.cpp:3:
> /usr/include/id3/id3lib_strings.h: In static member function 'static unsigned char* std::char_traits<unsigned char>::move(unsigned char*, const unsigned char*, size_t)':
> /usr/include/id3/id3lib_strings.h:87: error: 'memmove' was not declared in this scope
> /usr/include/id3/id3lib_strings.h: In static member function 'static unsigned char* std::char_traits<unsigned char>::copy(unsigned char*, const unsigned char*, size_t)':
> /usr/include/id3/id3lib_strings.h:91: error: 'memcpy' was not declared in this scope
> make[1]: *** [convert.o] Error 1

Read http://www.cyrius.com/journal/2007/05/10#gcc-4.3-include

-- 
Martin Michlmayr
http://www.cyrius.com/




Severity set to `serious' from `important' Request was from Marc Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. (Sat, 05 Apr 2008 12:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Robert Woodcock <rcw@debian.org>:
Bug#417062; Package id3lib3.8.3. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Robert Woodcock <rcw@debian.org>. Full text and rfc822 format available.

Message #19 received at 417062@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 417062@bugs.debian.org
Subject: id3lib3.8.3: diff for NMU version 3.8.3-7.1
Date: Sat, 5 Apr 2008 16:06:14 +0100
[Message part 1 (text/plain, inline)]
tags 417062 + patch
thanks

Hi,

Attached is the diff for my id3lib3.8.3 3.8.3-7.1 NMU.

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[id3lib3.8.3-3.8.3-7.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Stephen Gran <sgran@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 15:09:02 GMT) Full text and rfc822 format available.

Reply sent to Stephen Gran <sgran@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 417062-close@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 417062-close@bugs.debian.org
Subject: Bug#417062: fixed in id3lib3.8.3 3.8.3-7.1
Date: Sat, 05 Apr 2008 15:17:04 +0000
Source: id3lib3.8.3
Source-Version: 3.8.3-7.1

We believe that the bug you reported is fixed in the latest version of
id3lib3.8.3, which is due to be installed in the Debian FTP archive:

id3lib3.8.3_3.8.3-7.1.diff.gz
  to pool/main/i/id3lib3.8.3/id3lib3.8.3_3.8.3-7.1.diff.gz
id3lib3.8.3_3.8.3-7.1.dsc
  to pool/main/i/id3lib3.8.3/id3lib3.8.3_3.8.3-7.1.dsc
libid3-3.8.3-dev_3.8.3-7.1_i386.deb
  to pool/main/i/id3lib3.8.3/libid3-3.8.3-dev_3.8.3-7.1_i386.deb
libid3-3.8.3c2a_3.8.3-7.1_i386.deb
  to pool/main/i/id3lib3.8.3/libid3-3.8.3c2a_3.8.3-7.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 417062@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Gran <sgran@debian.org> (supplier of updated id3lib3.8.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 15:55:14 +0100
Source: id3lib3.8.3
Binary: libid3-3.8.3-dev libid3-3.8.3c2a
Architecture: source i386
Version: 3.8.3-7.1
Distribution: unstable
Urgency: low
Maintainer: Robert Woodcock <rcw@debian.org>
Changed-By: Stephen Gran <sgran@debian.org>
Description: 
 libid3-3.8.3-dev - ID3 Tag Library: Development Libraries and Header Files.
 libid3-3.8.3c2a - Library for manipulating ID3v1 and ID3v2 tags.
Closes: 417062
Changes: 
 id3lib3.8.3 (3.8.3-7.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with gcc-4.3 (closes: #417062)
   * Lintian warnigns repaired:
     - Update DH_COMPAT from, er, 1
     - Don't ignore make clean failures
     - Add link to LGPL-2 in common-licenses
     - Add © to debian/copyright
     - remove some broken non-roff form manpages
Files: 
 1090920e33fe78a1056ad8f90e2fa8e1 646 libs optional id3lib3.8.3_3.8.3-7.1.dsc
 078f8be78bd1468fc5fff2dcf65e2fa1 135743 libs optional id3lib3.8.3_3.8.3-7.1.diff.gz
 ac2082a6a2a49cec23e31e1392f6f6a8 90768 libdevel optional libid3-3.8.3-dev_3.8.3-7.1_i386.deb
 e37098d9f045a8347cc0730fec23304b 169216 libs optional libid3-3.8.3c2a_3.8.3-7.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH95TFSYIMHOpZA44RArkoAJ4pOO0+H0jqEwCpWbs8qk6Sh8y8xACg2zwM
4McGnelFvCf/JQQtCBdR9Ow=
=qdzm
-----END PGP SIGNATURE-----





Tags added: lenny, sid Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Sat, 16 Aug 2008 22:51:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 09:33:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:35:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.